# FoundationClasses
TKAdvTools
Materials

# Materials Class Reference

This package is useful for creating Material objects,
which contain a sequence of physical properties. All
applications which request physical properties on a
given material, should reference this package.
A predefined sequence of materials is given by the
dictionary of materials, and the sequence of known
properties is given by the material definition.
Only the package methods are public, except the
DictionaryOfMaterials class which is called by the
method Material.
.

`#include <Materials.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | MaterialFile (const Standard_CString afile)
| Sets the location and the name of the file defining the definition of a material, in term of properties. .
static Standard_EXPORT void | MaterialsFile (const Standard_CString afile)
| Sets the location and the name of the file defining the dictionary of materials. .
static Standard_EXPORT Standard_CString | MaterialsFile ()
| Returns the location and the name of the dictionary file of materials. .
static Standard_EXPORT Handle_Materials_MaterialsDictionary | DictionaryOfMaterials ()
| Returns the dictionary of materials.The dictionary is created at the first call to this method, or if the dictionary is not up to date with respect to the file date. .
static Standard_EXPORT Standard_Boolean | ExistMaterial (const Standard_CString aName)
| True if the materialofname aName exists ... .
static Standard_EXPORT Handle_Materials_Material | Material (const Standard_CString amaterial)
| Retrieves from the dictionary the object material with <amaterial> as name. .
static Standard_EXPORT Standard_Integer | NumberOfMaterials ()
| Returns the number of materials previously stored in the dictionary. .
static Standard_EXPORT Handle_Materials_Material | Material (const Standard_Integer anindex)
| This method used with the previous one, allows the exploration of all the dictionary. It returns a Material instance. .

## Member Function Documentation

static Standard_EXPORT Handle_Materials_MaterialsDictionary Materials::DictionaryOfMaterials | ( |  | ) | `[static]`

static Standard_EXPORT Standard_Boolean Materials::ExistMaterial | ( | const Standard_CString | aName | ) | `[static]`

static Standard_EXPORT Handle_Materials_Material Materials::Material | ( | const Standard_Integer | anindex | ) | `[static]`

static Standard_EXPORT Handle_Materials_Material Materials::Material | ( | const Standard_CString | amaterial | ) | `[static]`

static Standard_EXPORT void Materials::MaterialFile | ( | const Standard_CString | afile | ) | `[static]`

static Standard_EXPORT Standard_CString Materials::MaterialsFile | ( |  | ) | `[static]`

static Standard_EXPORT void Materials::MaterialsFile | ( | const Standard_CString | afile | ) | `[static]`

static Standard_EXPORT Standard_Integer Materials::NumberOfMaterials | ( |  | ) | `[static]`

void Materials::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Materials::operator new | ( | size_t | size | ) | `[inline]`

void* Materials::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- Materials.hxx